"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DEFAULT_EXCEPTIONS = void 0;
const mapped_exceptions_item_class_1 = require("../types/mapped-exceptions-item.class");
const common_1 = require("@nestjs/common");
const mapped_exception_error_class_1 = require("./mapped-exception-error.class");
const prepareCode = (code, suffix) => {
    return `${globalThis.MAPPED_EXCEPTION_PREFIX || 'ERR'}${code.toString().padStart(4, '0')}${suffix}`;
};
const DATABASE = {
    DEFAULT: new mapped_exceptions_item_class_1.MappedExceptionItem({
        message: 'There was an database error',
        code: prepareCode(1, 'DTB'),
        statusCode: common_1.HttpStatus.INTERNAL_SERVER_ERROR,
        throw: () => {
            throw new mapped_exception_error_class_1.MappedExceptionError(DATABASE.DEFAULT);
        },
    }),
};
const VALIDATION = {
    DEFAULT: new mapped_exceptions_item_class_1.MappedExceptionItem({
        message: 'There was an validation error',
        code: prepareCode(1, 'VAL'),
        statusCode: common_1.HttpStatus.BAD_REQUEST,
        throw: () => {
            throw new mapped_exception_error_class_1.MappedExceptionError(VALIDATION.DEFAULT);
        },
    }),
};
const OPERATION = {
    DEFAULT: new mapped_exceptions_item_class_1.MappedExceptionItem({
        message: 'There was an error',
        code: prepareCode(1, 'OPE'),
        statusCode: common_1.HttpStatus.INTERNAL_SERVER_ERROR,
        throw: () => {
            throw new mapped_exception_error_class_1.MappedExceptionError(OPERATION.DEFAULT);
        },
    }),
};
const DEFAULT = new mapped_exceptions_item_class_1.MappedExceptionItem({
    message: 'There was an unknown error',
    code: prepareCode(1, 'DFT'),
    statusCode: common_1.HttpStatus.INTERNAL_SERVER_ERROR,
    throw: () => {
        throw new mapped_exception_error_class_1.MappedExceptionError(DEFAULT);
    },
});
exports.DEFAULT_EXCEPTIONS = {
    DEFAULT,
    DATABASE,
    VALIDATION,
    OPERATION,
};
//# sourceMappingURL=mapped-exception.errors.js.map